Package com.sun.jna.platform.win32

# Class GDI32Util

java.lang.Object
com.sun.jna.platform.win32.GDI32Util

public class GDI32Util extends Object
GDI32 utility API.

Author:
  mlfreeman[at]gmail.com

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GDI32Util()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BufferedImage`
  `getScreenshot(WinDef.HWND target)`
  Takes a screenshot of the given window

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GDI32Util

    public GDI32Util()

- ## Method Details

  - ### getScreenshot

    public static BufferedImage getScreenshot(WinDef.HWND target)
    Takes a screenshot of the given window
    Parameters:
      `target` - The window to target
    Returns:
      the window captured as a screenshot, or null if the BufferedImage doesn't construct properly
    Throws:
      `IllegalStateException` - if the rectangle from GetWindowRect has a width and/or height of 0.
      if the device context acquired from the original HWND doesn't release properly